function z = quantize(y, b)
%
% Function to quantize a vector
% Gregory Pat Scandalis 
% Fundementals of Digital Signal Processing
% UC Berkeley, Spring 2004
%


% Because sound files in MATLAB range from -1.0 ... 1.0 the quantize equation
% reduces to the following: 

z = floor((2^b)*(y+1)/2); 


% If for instance b is set to 8, then z will map values 
% -1.0 ... 1.0 into values from 0..255  I will not actually 
% store the values as their bit representation, but they are indeed
% quantized. 